SDL_ControllerAxisEvent Struct Reference

Game controller axis motion event structure (event.caxis.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
SDL_JoystickID | which
Uint8 | axis
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3
Sint16 | value
Uint16 | padding4

## Detailed Description

Game controller axis motion event structure (event.caxis.*)

Definition at line 353 of file SDL_events.h.

## Field Documentation

Uint8 SDL_ControllerAxisEvent::axis

The controller axis (SDL_GameControllerAxis)

Definition at line 358 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

Uint8 SDL_ControllerAxisEvent::padding1

Definition at line 359 of file SDL_events.h.

Uint8 SDL_ControllerAxisEvent::padding2

Definition at line 360 of file SDL_events.h.

Uint8 SDL_ControllerAxisEvent::padding3

Definition at line 361 of file SDL_events.h.

Uint16 SDL_ControllerAxisEvent::padding4

Definition at line 363 of file SDL_events.h.

Uint32 SDL_ControllerAxisEvent::timestamp

Definition at line 356 of file SDL_events.h.

Uint32 SDL_ControllerAxisEvent::type

SDL_CONTROLLERAXISMOTION

Definition at line 355 of file SDL_events.h.

Sint16 SDL_ControllerAxisEvent::value

The axis value (range: -32768 to 32767)

Definition at line 362 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

SDL_JoystickID SDL_ControllerAxisEvent::which

The joystick instance id

Definition at line 357 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

The documentation for this struct was generated from the following file:

- include/SDL_events.h